# Lookup homes owned by a homeowner

The LookupHomesByOwner endpoint returns an array of homes owned by a homeowner based on their address (MAK).

The service requires at least one of the following input combinations:

Set A - mak

Set B - ff

Endpoint: GET /LookupHomesByOwner

## Header parameters:

  - `Accept` (string, required)
    Format of the response.
    Enum: "application/json", "*/*"

  - `Content-Type` (string, required)
    Format of the request.
    Enum: "application/json", "application/xml"

## Query parameters:

  - `format` (string)
    Desired format of the response.
    Enum: "json", "xml"

  - `id` (any, required)
    Required. The License Key issued by Melissa.
    Example: "{REPLACE-WITH-YOUR-LICENSE-KEY}"

  - `t` (string)
    Transmission Reference - This is a string value that serves as a unique identifier for this set of records. It is returned as sent.
    Example: "Test"

  - `ff` (string)
    The free form address.

  - `mak` (string, required)
    A proprietary unique key identifier for an address.
    Example: "9005381555"

## Response 200 fields (application/json):

  - `Version` (string)
    The current service version number.

  - `TransmissionReference` (string)
    Serves as a unique request identifier.

  - `Results` (string)
    Lists error codes from any errors caused by the most recent request as a whole. For more information, see [Property Result Codes](https://docs.melissa.com/cloud-api/property/result-codes.html).

  - `TotalRecords` (integer)
    Total number of records.

  - `Records` (array)

  - `Records.APN` (string)
    The Assessor's Parcel Number (APN).

  - `Records.BaseMAK` (string)
    A unique key assigned to the base address of a complex with apartments or suites.

  - `Records.FIPS` (string)
    The six-digit Federal Information Processing Standard (FIPS) code for the county containing the property.

  - `Records.MAK` (string)
    (Melissa Address Key) A unique key assigned to the address record.

  - `Records.PropertyAddress` (string)
    The address of the property.

  - `Records.PropertyCity` (string)
    The city containing the property.

  - `Records.PropertyPlus4` (string)
    The plus 4 of the ZIP Code containing the property.

  - `Records.PropertyState` (string)
    The state containing the property.

  - `Records.PropertyZip` (string)
    The ZIP Code containing the property.

## Response 400 fields (application/json):

  - `type` (string)
    The type of error that occurred.

  - `title` (string)
    A short summary of the error.

  - `status` (integer)
    The HTTP status code for the error.

  - `errors` (object)

  - `errors.$.<PropertyName>` (array)
    A detailed message about the error.

  - `traceId` (string)
    A unique identifier for the request, useful for debugging.


